use strict;
use Text::Xslate;
use Text::Xslate::Util qw(html_escape html_builder);
use URI ();    # NXCu
use CGI qw(p); # HTML𐶐郂W[
my %funcs = (
    URI => sub { URI->new(@_) },
    p   => html_builder {
        my($text) = @_;
        # ̓GXP[vȂ̂Ŏ蓮ł
        return p( html_escape($text) );
    },
);
my $tx = Text::Xslate->new(
    function => \%funcs,
);
print $tx->render_string(<<'T', { foo => '<foo>'});
<: URI("http://example.com/foo/").host :>
<: p($foo) :>
T
# => example.com
#    <p>&lt;foo&gt;</p>
